OSDN Git Service

Add MS7619SE
[uclinux-h8/uClinux-dist.git] / lib / osip2 / Makefile.in
1 # Makefile.in generated by automake 1.8.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 host_triplet = @host@
38 subdir = .
39 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
40         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
41         $(srcdir)/libosip2.pc.in $(top_srcdir)/configure AUTHORS \
42         COPYING ChangeLog INSTALL NEWS TODO
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/configure.in
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46         $(ACLOCAL_M4)
47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48  configure.lineno configure.status.lineno
49 mkinstalldirs = $(SHELL) $(top_srcdir)/scripts/mkinstalldirs
50 CONFIG_HEADER = config.h
51 CONFIG_CLEAN_FILES = libosip2.pc
52 SOURCES =
53 DIST_SOURCES =
54 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
55         html-recursive info-recursive install-data-recursive \
56         install-exec-recursive install-info-recursive \
57         install-recursive installcheck-recursive installdirs-recursive \
58         pdf-recursive ps-recursive uninstall-info-recursive \
59         uninstall-recursive
60 am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
61 pkgconfigDATA_INSTALL = $(INSTALL_DATA)
62 DATA = $(pkgconfig_DATA)
63 ETAGS = etags
64 CTAGS = ctags
65 DIST_SUBDIRS = $(SUBDIRS)
66 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
67 distdir = $(PACKAGE)-$(VERSION)
68 top_distdir = $(distdir)
69 am__remove_distdir = \
70   { test ! -d $(distdir) \
71     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
72          && rm -fr $(distdir); }; }
73 DIST_ARCHIVES = $(distdir).tar.gz
74 GZIP_ENV = --best
75 distuninstallcheck_listfiles = find . -type f -print
76 distcleancheck_listfiles = find . -type f -print
77 ACLOCAL = @ACLOCAL@
78 AMDEP_FALSE = @AMDEP_FALSE@
79 AMDEP_TRUE = @AMDEP_TRUE@
80 AMTAR = @AMTAR@
81 AR = @AR@
82 AUTOCONF = @AUTOCONF@
83 AUTOHEADER = @AUTOHEADER@
84 AUTOMAKE = @AUTOMAKE@
85 AWK = @AWK@
86 CC = @CC@
87 CCDEPMODE = @CCDEPMODE@
88 CFLAGS = @CFLAGS@
89 COMPILE_TESTS_FALSE = @COMPILE_TESTS_FALSE@
90 COMPILE_TESTS_TRUE = @COMPILE_TESTS_TRUE@
91 CPP = @CPP@
92 CPPFLAGS = @CPPFLAGS@
93 CXX = @CXX@
94 CXXCPP = @CXXCPP@
95 CXXDEPMODE = @CXXDEPMODE@
96 CXXFLAGS = @CXXFLAGS@
97 CYGPATH_W = @CYGPATH_W@
98 DEFS = @DEFS@
99 DEPDIR = @DEPDIR@
100 ECHO = @ECHO@
101 ECHO_C = @ECHO_C@
102 ECHO_N = @ECHO_N@
103 ECHO_T = @ECHO_T@
104 EGREP = @EGREP@
105 EXEEXT = @EXEEXT@
106 EXTRA_LIB = @EXTRA_LIB@
107 F77 = @F77@
108 FFLAGS = @FFLAGS@
109 FSM_LIB = @FSM_LIB@
110 INSIDE_GNOME_COMMON_FALSE = @INSIDE_GNOME_COMMON_FALSE@
111 INSIDE_GNOME_COMMON_TRUE = @INSIDE_GNOME_COMMON_TRUE@
112 INSTALL_DATA = @INSTALL_DATA@
113 INSTALL_PROGRAM = @INSTALL_PROGRAM@
114 INSTALL_SCRIPT = @INSTALL_SCRIPT@
115 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
116 LDFLAGS = @LDFLAGS@
117 LIBOBJS = @LIBOBJS@
118 LIBOSIP_SO_VERSION = @LIBOSIP_SO_VERSION@
119 LIBS = @LIBS@
120 LIBTOOL = @LIBTOOL@
121 LN_S = @LN_S@
122 LTLIBOBJS = @LTLIBOBJS@
123 MAKEINFO = @MAKEINFO@
124 OBJEXT = @OBJEXT@
125 OSIP_VERSION = @OSIP_VERSION@
126 PACKAGE = @PACKAGE@
127 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
128 PACKAGE_NAME = @PACKAGE_NAME@
129 PACKAGE_STRING = @PACKAGE_STRING@
130 PACKAGE_TARNAME = @PACKAGE_TARNAME@
131 PACKAGE_VERSION = @PACKAGE_VERSION@
132 PARSER_LIB = @PARSER_LIB@
133 PATH_SEPARATOR = @PATH_SEPARATOR@
134 PTHREAD_CC = @PTHREAD_CC@
135 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
136 PTHREAD_LIBS = @PTHREAD_LIBS@
137 RANLIB = @RANLIB@
138 SET_MAKE = @SET_MAKE@
139 SHELL = @SHELL@
140 SIP_CFLAGS = @SIP_CFLAGS@
141 SIP_EXTRA_FLAGS = @SIP_EXTRA_FLAGS@
142 SIP_FSM_FLAGS = @SIP_FSM_FLAGS@
143 SIP_PARSER_FLAGS = @SIP_PARSER_FLAGS@
144 STRIP = @STRIP@
145 VERSION = @VERSION@
146 ac_ct_AR = @ac_ct_AR@
147 ac_ct_CC = @ac_ct_CC@
148 ac_ct_CXX = @ac_ct_CXX@
149 ac_ct_F77 = @ac_ct_F77@
150 ac_ct_RANLIB = @ac_ct_RANLIB@
151 ac_ct_STRIP = @ac_ct_STRIP@
152 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
153 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
154 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
155 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
156 am__include = @am__include@
157 am__leading_dot = @am__leading_dot@
158 am__quote = @am__quote@
159 bindir = @bindir@
160 build = @build@
161 build_alias = @build_alias@
162 build_cpu = @build_cpu@
163 build_os = @build_os@
164 build_vendor = @build_vendor@
165 datadir = @datadir@
166 exec_prefix = @exec_prefix@
167 host = @host@
168 host_alias = @host_alias@
169 host_cpu = @host_cpu@
170 host_os = @host_os@
171 host_vendor = @host_vendor@
172 includedir = @includedir@
173 infodir = @infodir@
174 install_sh = @install_sh@
175 libdir = @libdir@
176 libexecdir = @libexecdir@
177 localstatedir = @localstatedir@
178 mandir = @mandir@
179 mkdir_p = @mkdir_p@
180 oldincludedir = @oldincludedir@
181 prefix = @prefix@
182 program_transform_name = @program_transform_name@
183 sbindir = @sbindir@
184 sharedstatedir = @sharedstatedir@
185 sysconfdir = @sysconfdir@
186 target_alias = @target_alias@
187 EXTRA_DIST = README BUGS FEATURES HISTORY autogen.sh libosip2.pc.in
188 SUBDIRS = include src scripts help platform debian
189 pkgconfigdir = $(libdir)/pkgconfig
190 pkgconfig_DATA = libosip2.pc
191 all: config.h
192         $(MAKE) $(AM_MAKEFLAGS) all-recursive
193
194 .SUFFIXES:
195 am--refresh:
196         @:
197 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
198         @for dep in $?; do \
199           case '$(am__configure_deps)' in \
200             *$$dep*) \
201               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
202               cd $(srcdir) && $(AUTOMAKE) --gnu  \
203                 && exit 0; \
204               exit 1;; \
205           esac; \
206         done; \
207         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
208         cd $(top_srcdir) && \
209           $(AUTOMAKE) --gnu  Makefile
210 .PRECIOUS: Makefile
211 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
212         @case '$?' in \
213           *config.status*) \
214             echo ' $(SHELL) ./config.status'; \
215             $(SHELL) ./config.status;; \
216           *) \
217             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
218             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
219         esac;
220
221 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
222         $(SHELL) ./config.status --recheck
223
224 $(top_srcdir)/configure:  $(am__configure_deps)
225         cd $(srcdir) && $(AUTOCONF)
226 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
227         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
228
229 config.h: stamp-h1
230         @if test ! -f $@; then \
231           rm -f stamp-h1; \
232           $(MAKE) stamp-h1; \
233         else :; fi
234
235 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
236         @rm -f stamp-h1
237         cd $(top_builddir) && $(SHELL) ./config.status config.h
238 $(srcdir)/config.h.in:  $(am__configure_deps) 
239         cd $(top_srcdir) && $(AUTOHEADER)
240         rm -f stamp-h1
241         touch $@
242
243 distclean-hdr:
244         -rm -f config.h stamp-h1
245 libosip2.pc: $(top_builddir)/config.status $(srcdir)/libosip2.pc.in
246         cd $(top_builddir) && $(SHELL) ./config.status $@
247
248 mostlyclean-libtool:
249         -rm -f *.lo
250
251 clean-libtool:
252         -rm -rf .libs _libs
253
254 distclean-libtool:
255         -rm -f libtool
256 uninstall-info-am:
257 install-pkgconfigDATA: $(pkgconfig_DATA)
258         @$(NORMAL_INSTALL)
259         test -z "$(pkgconfigdir)" || $(mkdir_p) "$(DESTDIR)$(pkgconfigdir)"
260         @list='$(pkgconfig_DATA)'; for p in $$list; do \
261           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
262           f="`echo $$p | sed -e 's|^.*/||'`"; \
263           echo " $(pkgconfigDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
264           $(pkgconfigDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgconfigdir)/$$f"; \
265         done
266
267 uninstall-pkgconfigDATA:
268         @$(NORMAL_UNINSTALL)
269         @list='$(pkgconfig_DATA)'; for p in $$list; do \
270           f="`echo $$p | sed -e 's|^.*/||'`"; \
271           echo " rm -f '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
272           rm -f "$(DESTDIR)$(pkgconfigdir)/$$f"; \
273         done
274
275 # This directory's subdirectories are mostly independent; you can cd
276 # into them and run `make' without going through this Makefile.
277 # To change the values of `make' variables: instead of editing Makefiles,
278 # (1) if the variable is set in `config.status', edit `config.status'
279 #     (which will cause the Makefiles to be regenerated when you run `make');
280 # (2) otherwise, pass the desired values on the `make' command line.
281 $(RECURSIVE_TARGETS):
282         @set fnord $$MAKEFLAGS; amf=$$2; \
283         dot_seen=no; \
284         target=`echo $@ | sed s/-recursive//`; \
285         list='$(SUBDIRS)'; for subdir in $$list; do \
286           echo "Making $$target in $$subdir"; \
287           if test "$$subdir" = "."; then \
288             dot_seen=yes; \
289             local_target="$$target-am"; \
290           else \
291             local_target="$$target"; \
292           fi; \
293           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
294            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
295         done; \
296         if test "$$dot_seen" = "no"; then \
297           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
298         fi; test -z "$$fail"
299
300 mostlyclean-recursive clean-recursive distclean-recursive \
301 maintainer-clean-recursive:
302         @set fnord $$MAKEFLAGS; amf=$$2; \
303         dot_seen=no; \
304         case "$@" in \
305           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
306           *) list='$(SUBDIRS)' ;; \
307         esac; \
308         rev=''; for subdir in $$list; do \
309           if test "$$subdir" = "."; then :; else \
310             rev="$$subdir $$rev"; \
311           fi; \
312         done; \
313         rev="$$rev ."; \
314         target=`echo $@ | sed s/-recursive//`; \
315         for subdir in $$rev; do \
316           echo "Making $$target in $$subdir"; \
317           if test "$$subdir" = "."; then \
318             local_target="$$target-am"; \
319           else \
320             local_target="$$target"; \
321           fi; \
322           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
323            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
324         done && test -z "$$fail"
325 tags-recursive:
326         list='$(SUBDIRS)'; for subdir in $$list; do \
327           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
328         done
329 ctags-recursive:
330         list='$(SUBDIRS)'; for subdir in $$list; do \
331           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
332         done
333
334 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
335         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
336         unique=`for i in $$list; do \
337             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
338           done | \
339           $(AWK) '    { files[$$0] = 1; } \
340                END { for (i in files) print i; }'`; \
341         mkid -fID $$unique
342 tags: TAGS
343
344 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
345                 $(TAGS_FILES) $(LISP)
346         tags=; \
347         here=`pwd`; \
348         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
349           include_option=--etags-include; \
350           empty_fix=.; \
351         else \
352           include_option=--include; \
353           empty_fix=; \
354         fi; \
355         list='$(SUBDIRS)'; for subdir in $$list; do \
356           if test "$$subdir" = .; then :; else \
357             test ! -f $$subdir/TAGS || \
358               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
359           fi; \
360         done; \
361         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
362         unique=`for i in $$list; do \
363             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
364           done | \
365           $(AWK) '    { files[$$0] = 1; } \
366                END { for (i in files) print i; }'`; \
367         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
368           test -n "$$unique" || unique=$$empty_fix; \
369           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
370             $$tags $$unique; \
371         fi
372 ctags: CTAGS
373 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
374                 $(TAGS_FILES) $(LISP)
375         tags=; \
376         here=`pwd`; \
377         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
378         unique=`for i in $$list; do \
379             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
380           done | \
381           $(AWK) '    { files[$$0] = 1; } \
382                END { for (i in files) print i; }'`; \
383         test -z "$(CTAGS_ARGS)$$tags$$unique" \
384           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
385              $$tags $$unique
386
387 GTAGS:
388         here=`$(am__cd) $(top_builddir) && pwd` \
389           && cd $(top_srcdir) \
390           && gtags -i $(GTAGS_ARGS) $$here
391
392 distclean-tags:
393         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
394
395 distdir: $(DISTFILES)
396         $(am__remove_distdir)
397         mkdir $(distdir)
398         $(mkdir_p) $(distdir)/. $(distdir)/include/osip2
399         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
400         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
401         list='$(DISTFILES)'; for file in $$list; do \
402           case $$file in \
403             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
404             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
405           esac; \
406           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
407           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
408           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
409             dir="/$$dir"; \
410             $(mkdir_p) "$(distdir)$$dir"; \
411           else \
412             dir=''; \
413           fi; \
414           if test -d $$d/$$file; then \
415             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
416               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
417             fi; \
418             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
419           else \
420             test -f $(distdir)/$$file \
421             || cp -p $$d/$$file $(distdir)/$$file \
422             || exit 1; \
423           fi; \
424         done
425         list='$(SUBDIRS)'; for subdir in $$list; do \
426           if test "$$subdir" = .; then :; else \
427             test -d "$(distdir)/$$subdir" \
428             || mkdir "$(distdir)/$$subdir" \
429             || exit 1; \
430             (cd $$subdir && \
431               $(MAKE) $(AM_MAKEFLAGS) \
432                 top_distdir="../$(top_distdir)" \
433                 distdir="../$(distdir)/$$subdir" \
434                 distdir) \
435               || exit 1; \
436           fi; \
437         done
438         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
439           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
440           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
441           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
442         || chmod -R a+r $(distdir)
443 dist-gzip: distdir
444         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
445         $(am__remove_distdir)
446
447 dist-bzip2: distdir
448         $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
449         $(am__remove_distdir)
450
451 dist-tarZ: distdir
452         $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
453         $(am__remove_distdir)
454
455 dist-shar: distdir
456         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
457         $(am__remove_distdir)
458
459 dist-zip: distdir
460         -rm -f $(distdir).zip
461         zip -rq $(distdir).zip $(distdir)
462         $(am__remove_distdir)
463
464 dist dist-all: distdir
465         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
466         $(am__remove_distdir)
467
468 # This target untars the dist file and tries a VPATH configuration.  Then
469 # it guarantees that the distribution is self-contained by making another
470 # tarfile.
471 distcheck: dist
472         case '$(DIST_ARCHIVES)' in \
473         *.tar.gz*) \
474           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
475         *.tar.bz2*) \
476           bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
477         *.tar.Z*) \
478           uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
479         *.shar.gz*) \
480           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
481         *.zip*) \
482           unzip $(distdir).zip ;;\
483         esac
484         chmod -R a-w $(distdir); chmod a+w $(distdir)
485         mkdir $(distdir)/_build
486         mkdir $(distdir)/_inst
487         chmod a-w $(distdir)
488         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
489           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
490           && cd $(distdir)/_build \
491           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
492             $(DISTCHECK_CONFIGURE_FLAGS) \
493           && $(MAKE) $(AM_MAKEFLAGS) \
494           && $(MAKE) $(AM_MAKEFLAGS) dvi \
495           && $(MAKE) $(AM_MAKEFLAGS) check \
496           && $(MAKE) $(AM_MAKEFLAGS) install \
497           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
498           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
499           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
500                 distuninstallcheck \
501           && chmod -R a-w "$$dc_install_base" \
502           && ({ \
503                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
504                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
505                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
506                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
507                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
508               } || { rm -rf "$$dc_destdir"; exit 1; }) \
509           && rm -rf "$$dc_destdir" \
510           && $(MAKE) $(AM_MAKEFLAGS) dist \
511           && rm -rf $(DIST_ARCHIVES) \
512           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
513         $(am__remove_distdir)
514         @(echo "$(distdir) archives ready for distribution: "; \
515           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
516           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
517 distuninstallcheck:
518         @cd $(distuninstallcheck_dir) \
519         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
520            || { echo "ERROR: files left after uninstall:" ; \
521                 if test -n "$(DESTDIR)"; then \
522                   echo "  (check DESTDIR support)"; \
523                 fi ; \
524                 $(distuninstallcheck_listfiles) ; \
525                 exit 1; } >&2
526 distcleancheck: distclean
527         @if test '$(srcdir)' = . ; then \
528           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
529           exit 1 ; \
530         fi
531         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
532           || { echo "ERROR: files left in build directory after distclean:" ; \
533                $(distcleancheck_listfiles) ; \
534                exit 1; } >&2
535 check-am: all-am
536 check: check-recursive
537 all-am: Makefile $(DATA) config.h
538 installdirs: installdirs-recursive
539 installdirs-am:
540         for dir in "$(DESTDIR)$(pkgconfigdir)"; do \
541           test -z "$$dir" || $(mkdir_p) "$$dir"; \
542         done
543 install: install-recursive
544 install-exec: install-exec-recursive
545 install-data: install-data-recursive
546 uninstall: uninstall-recursive
547
548 install-am: all-am
549         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
550
551 installcheck: installcheck-recursive
552 install-strip:
553         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
554           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
555           `test -z '$(STRIP)' || \
556             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
557 mostlyclean-generic:
558
559 clean-generic:
560
561 distclean-generic:
562         -rm -f $(CONFIG_CLEAN_FILES)
563
564 maintainer-clean-generic:
565         @echo "This command is intended for maintainers to use"
566         @echo "it deletes files that may require special tools to rebuild."
567 clean: clean-recursive
568
569 clean-am: clean-generic clean-libtool mostlyclean-am
570
571 distclean: distclean-recursive
572         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
573         -rm -f Makefile
574 distclean-am: clean-am distclean-generic distclean-hdr \
575         distclean-libtool distclean-tags
576
577 dvi: dvi-recursive
578
579 dvi-am:
580
581 html: html-recursive
582
583 info: info-recursive
584
585 info-am:
586
587 install-data-am: install-pkgconfigDATA
588
589 install-exec-am:
590
591 install-info: install-info-recursive
592
593 install-man:
594
595 installcheck-am:
596
597 maintainer-clean: maintainer-clean-recursive
598         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
599         -rm -rf $(top_srcdir)/autom4te.cache
600         -rm -f Makefile
601 maintainer-clean-am: distclean-am maintainer-clean-generic
602
603 mostlyclean: mostlyclean-recursive
604
605 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
606
607 pdf: pdf-recursive
608
609 pdf-am:
610
611 ps: ps-recursive
612
613 ps-am:
614
615 uninstall-am: uninstall-info-am uninstall-pkgconfigDATA
616
617 uninstall-info: uninstall-info-recursive
618
619 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
620         check-am clean clean-generic clean-libtool clean-recursive \
621         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
622         dist-shar dist-tarZ dist-zip distcheck distclean \
623         distclean-generic distclean-hdr distclean-libtool \
624         distclean-recursive distclean-tags distcleancheck distdir \
625         distuninstallcheck dvi dvi-am html html-am info info-am \
626         install install-am install-data install-data-am install-exec \
627         install-exec-am install-info install-info-am install-man \
628         install-pkgconfigDATA install-strip installcheck \
629         installcheck-am installdirs installdirs-am maintainer-clean \
630         maintainer-clean-generic maintainer-clean-recursive \
631         mostlyclean mostlyclean-generic mostlyclean-libtool \
632         mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
633         uninstall uninstall-am uninstall-info-am \
634         uninstall-pkgconfigDATA
635
636
637 rpm-package:
638         cd platform && $(MAKE) rpm-package
639
640 deb:
641         dpkg-buildpackage -rfakeroot
642
643 upload: dist
644         @echo "######## Maintainer only ##########";
645         @echo "building files for upload in ftp://ftp-upload.gnu.org/incoming/ftp";
646         @echo "building: $(PACKAGE)-$(VERSION).tar.gz.sig";
647         gpg -b $(PACKAGE)-$(VERSION).tar.gz
648         echo "directory: osip" > $(PACKAGE)-$(VERSION).tar.gz.directive
649         @echo "building: $(PACKAGE)-$(VERSION).tar.gz.directive.asc";
650         gpg --clearsign $(PACKAGE)-$(VERSION).tar.gz.directive
651
652 indent:
653         indent */*/*.c
654         indent */*/*.h
655         rm -rf */*/*.c~
656         rm -rf */*/*.h~
657 # Tell versions [3.59,3.63) of GNU make to not export all variables.
658 # Otherwise a system limit (for SysV at least) may be exceeded.
659 .NOEXPORT: